Hi fellow wiki editors!

To help newly registered users get more familiar with the wiki (and maybe older users too) there is now a {{Welcome to the wiki}} template. Have a look at it and feel free to add it to new users discussion pages (and perhaps your own).

I have tried to keep the template short, but meaningful. /Johan G

Fr/FlightGear Git sur Mac OS X

From FlightGear wiki
Jump to: navigation, search

Important à lire!

Cette page est en grand développement ! Et vous pouvez probablement réussir à installer votre version de développement de FlightGear sur OSX 10.5 ou 10.6 sur Mac Intel. Mais cette page est expérimentale, et il ne vaut mieux ne pas utiliser ce montage si vous ne connaissez pas bien votre ordinateur. Sachez que l'installation d'un logiciel de développement de version peut l'endommager!  ;-) Ne commencez pas à écrire à FlightGear- ou SimGear Devel-Mailinglist pour des problèmes d'installation de FlightGear OSX rapportés dans ce Wiki, posez vos questions ou soumettez vos erreurs dans le forum en postant des sujets dans cette page --> http://forum.flightgear.org/viewtopic.php?f=21&t=14175

Avant de commencer, enlever toutes les autres installations de votre système ROOT

L'architecture pour FlightGear a évolué en 2011 vers cmake. Si vous voulez suivre ce wiki et avoir une nouvelle installation propre, vous devez enlever toutes les anciennes installations de plib, PLIB.Framework, OpenSceneGraph, simgear and flightgear. Selon l'endroit où vous installez FlightGear GIT (Pas MacFlightGear!), vous aurez beaucoup de matériel à enlever i.e. dans /usr/include, /usr/lib, /usr/local/lib, /usr/local/include etc. (cela dépend de ce que vous aviez avant, mais par défaut, c'est /usr/local/...). C'est probablement préférable de NE PAS EFFACER ces éléments, mais de les garder en sureté hors du système racine.

Endroits d'installation par défaut

Ce guide installe le logiciel avec des chemins par défaut sur votre système (Ports Mac dans /opt/local/ - les autres parties dans /usr and /usr/local). Il y a seulement un cadre à placer manuellement dans /Library/Frameworks. Utiliser les options de votre propre configuration pour avoir votre localisation préférée!. Ne postez pas de liens d'erreur dans le forum ou de listes quand vous choisissez d'utiliser vos propres chemins de recherche.

Systèmes requis

Systemes Requis: OSX 10.5.8 (Leopard) ou plus, et un Intel Mac. Autres obligations: Connaissance de l'usage du Terminal sur OSX, Xcode Dev Tools, MacPorts

Vous allez installer:
Xcode Dev Tools, MacPorts, boost, cmake, plib, ALUT.framework, OpenSceneGraph, git, SimGear and finally FlightGear

Cette action peut nécessiter plus de deux heures!

Installation

Installation des outils Xcode Developer

Téléchargez et installez Xcode Dev Tools pour OSX
pour OSX 10.5.8 vous avez besoin de Dev Tools 3.1.4 Comment obtenir des anciennes versions de dev tools
pour OSX 10.6 (x86_64) vous pouvez utiliser Dev Tools 3.2.6

http://developer.apple.com/technologies/xcode.html

Notez que Apple se charge des versions 4.0 et plus, mais il est très difficile de trouver des liens pour des versions plus anciennes. Cependant, vous pouvez encore obtenir gratuitement la version requise pour flightgear [3.2 ou plus ancienne] et vous n'avez pas besoin de Dev Tools >= 4 Comment obtenir les versions plus anciennes de tools versions

Installation des ports Mac

Téléchargez et installez MacPorts
Note: Avec les Ports Mac déja installés, ce serait une bonne idée de désactiver d'abord tous les autres ports pour ce wiki. Plus d'informations: http://guide.macports.org/#installing.macports.upgrade.

Mise à jour des Ports Mac

Tapez dans le terminal

sudo port selfupdate

En novembre 2011 vous auriez MacPorts 2.0.3

Peut-être devriez-vous metre à jourr un peu vos ports, alors tapez

sudo port upgrade outdated

Télécharger et installer GIT

differentes possibilités pour installer GIT. 
Option 1: installer via MacPorts dans le Terminal avec "sudo port install git-core"
Option 2: Télécharger et installer GIT pour OSX. Saisissez la dernière version de
http://code.google.com/p/git-osx-installer/

Installer boost (1.47.0) avec les Ports Mac

sudo port install boost +universal

Note: cette étape peut prendre plus de 30 minutes! c'est fait exprès pour prendre une tasse de thé.

Installer cmake (2.8.6) avec les Ports Mac

sudo port install cmake +universal

Installer plib (1.8.5) +universal

juste installer plib via MacPorts

sudo port install plib +universal

Installer le ALUT.framework

Note: Ce cadre est fourni par James T. Il n'est pas officiel! James a mis ce lien dans la develist et ce lien au cadre peut changer. Le lien à OpenAL/alut.h titre et compilation de l' official freealut échoue sur mon OSX 10.5.8 avec FlightGear, et en ce moment, il n'y a aucun port valable. Un grand merci à James de fournir ce cadre (universel). Téléchargez ici (localisation provisoire!): [1]
Dé-zippez et mettez le dossier ALUT.framework dans /Library/Frameworks

Téléchargez et installez le tronc OpenSceneGraph

Remarque 1: Voici la partie la plus compliquée. Soyez sûr d"avoir tous le DEPs pour OpenSceneGraph installés quand vous changez des données type cmake settings comme cocoa/ioimage (32/64-bit) à la place de quicktime/carbon (32-seulement). Peut-être aurez-vous besoin d'avoir tiff, jpeg et libpng installés pour avoir des OSG Plug-ins compilés correctement. Tous ces libs sont disponibles par les macports i.e. aves "sudo port install tiff jpeg libpng" etc. N'oubliez pas d'ajouter "+universal" port variant lorsque vous voulez compiler plus d'un seul objectif ("i386;x86_64").

Remarque 2: faites attention aux cadres installés dans /Lybrary/Frameworks. J'ai édité des scènes pour flightgear et c'était la raison pour laquelle j'avais des cadres geo installés. J'ai dû déplacer ces cadres dans un endroit sûr, pendant la compilation OSG, en dehors du chemin (i.e. GDAL, GEOS, GSL, PROJ et spécialement UnixImageIO.framework).


vérifiez l'arbre OpenSceneGraph avec

svn co http://svn.openscenegraph.org/osg/OpenSceneGraph/trunk OpenSceneGraph

Faites une copie du dossier "OpenSceneGraph", peut-être aurez-vous besoin d'un clone au cas ou il ferait défaut.

cd OpenSceneGraph

Pour compiler avec imageio/cocoa, target architecture i386 AND x86_64:

cmake  -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr/local -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_OSX_SYSROOT=/Developer/SDKs/MacOSX10.5.sdk -DCMAKE_OSX_ARCHITECTURES="i386;x86_64" \
-DCMAKE_OSX_DEPLOYMENT_TARGET=10.5 -DCMAKE_MINSIZEREL_POSTFIX= -DBUILD_OSG_APPLICATIONS=OFF \
-DCMAKE_RELWITHDEBINFO_POSTFIX= -DOSG_DEFAULT_IMAGE_PLUGIN_FOR_OSX=imageio \
-DOSG_WINDOWING_SYSTEM=Cocoa

Alternez pour compiler avec imageio/carbon, target architecture i386/32-bit seulement:

cmake  -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr/local -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_OSX_SYSROOT=/Developer/SDKs/MacOSX10.5.sdk -DCMAKE_OSX_ARCHITECTURES="i386;x86_64" \
-DCMAKE_OSX_DEPLOYMENT_TARGET=10.5 -DCMAKE_MINSIZEREL_POSTFIX= -DBUILD_OSG_APPLICATIONS=OFF \
-DCMAKE_RELWITHDEBINFO_POSTFIX= -DOSG_DEFAULT_IMAGE_PLUGIN_FOR_OSX=imageio \
-DOSG_WINDOWING_SYSTEM=Carbon

Enfin: faire

sudo make install

Remarque: Compiler OpenSceneGraph prend souvent plus de  30 minutes.
 Vous devez modifier l'10,5 à votre version du SDK.
 De plus, le chemin vers le répertoire / Developer a changé depuis xcode 4.2 à être /Application/Xcode.app/Contents .

Git SimGear/FlightGear/fgdata

Créez un répertoire dans lequel vous voulez placer votre nouveau code FlightGear.

git clone git://git.code.sf.net/p/flightgear/flightgear/
git clone git://git.code.sf.net/p/flightgear/simgear/
git clone git://git.code.sf.net/p/flightgear/fgdata/

Le fgdata fait environ 4 GB! Vous pouvez cloner ce repo une fois et plus tard vous utilisez git pull. Il y a une autre page FlightGear and Git concernant les repos FlightGear Gitorious GIT. Il y a aussi un autre GIT repo sur mapserver.flightgear.org: http://mapserver.flightgear.org/git/.

Installez SimGear (!nouveau depuis nov 2011: cmake build)

cd vers le répertoire simgear et tapez

 export CFLAGS="-g -O2 -fPIC -arch i386 -arch x86_64"
 export CXXFLAGS="-g -O2 -fPIC -arch i386 -arch x86_64"
 cmake . -DJPEG_FACTORY=1 -DCMAKE_INSTALL_PREFIX=/usr/local
 make
 sudo make install

Installez FlightGear (nouveau depuis nov 2011: cmake build)

cd vers le répertoire FlightGear et tapez:

 export CFLAGS="-g -O2 -fPIC -arch i386 -arch x86_64"
 export CXXFLAGS="-g -O2 -fPIC -arch i386 -arch x86_64"
 cmake . -DJPEG_FACTORY=1 -DCMAKE_INSTALL_PREFIX=/usr/local -DENABLE_FGADMIN=OFF -DWITH_FGPANEL=OFF
 make
 sudo make install

A partir de novembre 2011 fgadmin et fgpanel ne se compilent plus ici sur OSX. Entrez -DENABLE_FGADMIN=OFF -DWITH_FGPANEL=OFF to ON si vous voulez essayer...

En utilisant Xcode pour la compilation

Vous pouvez ajouter -G Xcode ci-dessus cmake cmake déclarations de laisser créer les fichiers nécessaires projet Xcode. Ouvrez les fichiers créés xcodeproj. Et de le construire en utilisant ⌘ + B ou en choisissant le produit menu => Générer. Vous devrez peut-être régler le build target "ALL_BUILD> Mon Mac 64 bits" ou ce que jamais votre cible et la configuration dans le menu de produit => "Modifier Scheme", où vous pouvez définir la configuration de build pour "Debug" ou "Release "sous la rubrique" Exécuter "onglet. Une fois compilé avec succès, vous devez installer le construire sur le terminal depuis l'emplacement cible standard des fichiers besoin des privilèges root. Donc changer de répertoire à votre osg, simgear ou un répertoire git flightgear contenant le fichier. Xcodeproj et d'exécuter la commande "sudo xcodebuild-cible install-configuration Release". La configuration dépend de ce que vous avez construit habituellement dernière Relâchez bien. Choix-cible uninstall pour désinstaller tous les fichiers associés.

Fin et test de mise en route

Vous pouvez utiliser fgfs --fg-root=/path/to/fgdata et --fg-scenery=/path/to/scenery

fgfs --option1 --option2 ...
tapez dans le terminal "fgfs --help -v" pour avoir toutes les options de lignes de commande courantes